%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libFS runtime library
Name: 		liblbxutil
Version: 	1.0.1
Release: 	2	
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	xorg-x11-xtrans-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 liblbxutil runtime library

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%_libdir/liblbxutil*
%_libdir/pkgconfig

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- initial release
